Create a player group
curl --request POST \
--url https://api.userplay.io/public/v1/studios/{studioId}/players/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupName": "<string>",
"groupDescription": "<string>",
"emails": [
"<string>"
],
"seedFromGroupIds": [
"<string>"
],
"playerIds": [
"<string>"
]
}
'import requests
url = "https://api.userplay.io/public/v1/studios/{studioId}/players/groups"
payload = {
"groupName": "<string>",
"groupDescription": "<string>",
"emails": ["<string>"],
"seedFromGroupIds": ["<string>"],
"playerIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groupName: '<string>',
groupDescription: '<string>',
emails: ['<string>'],
seedFromGroupIds: ['<string>'],
playerIds: ['<string>']
})
};
fetch('https://api.userplay.io/public/v1/studios/{studioId}/players/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"playerGroupId": "<string>",
"studioId": "<string>",
"playtestId": "<string>",
"surveyId": "<string>",
"waitlistId": "<string>",
"groupName": "<string>",
"groupDescription": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Player groups
Create a player group
POST
/
studios
/
{studioId}
/
players
/
groups
Create a player group
Authorizations
Personal API key (prefix up_). Create one in the studio under Account → API keys.
Path Parameters
Body
application/json
Display name of the player group.
Required string length:
2 - 80Optional description of the group's purpose.
Maximum string length:
2000Email addresses to seed the group with. New players are created as needed.
Maximum array length:
1000Maximum string length:
320IDs of existing groups whose members are copied into the new group.
IDs of existing studio players to add to the group.
Response
201 - application/json
The created group
Show child attributes
Show child attributes
⌘I